function C=predict_GCCA(X,predparam)

ntable=length(X);
if ntable~=length(predparam.Mean)
    error('Number of blocks does notmatch model')
end

T={};
for i=1:ntable
    X{i}.d=X{i}.d-repmat(predparam.Mean{i},size(X{i}.d,1),1);
    T{i}=X{i}.d*predparam.Pblock{i}'*inv(predparam.Pblock{i}*predparam.Pblock{i}');
    T{i}=T{i}./repmat(predparam.Std{i},size(X{i}.d,1),1);
end
    
C=cell2mat(T)*predparam.Ptotal'*inv(predparam.Ptotal*predparam.Ptotal');
